Definizione del colore di un piano nel file dxf

Professione: Pensionato
Software: Autocad
Regione: Lombardia
#1
Salve,
ho scritto del codice che genera un file dxf, questo è lo spezzone iniziale (del dxf) con un elemento della lista :
Codice:
0
SECTION
2
ENTITIES
999
Inizio dati
0
CIRCLE
8
cerchietti
62
1
10
1498789.579000
20
5042431.954000
40
0.50
0
TEXT
5
0
8
testo
62
1
10
1498790.079000
20
5042432.454000
40
0.40
50
0
1
Pp1 (165.03)-4420571.480,698896.546,4529362.926#1498789.579,5042431.954
vengono disegnati un cerchio sul piano "cerchietti", colore "rosso" ed una stringa di testo sul piano "testo", colore "nero".
I piani "cerchietti" e "testo" hanno però colore "nero" quindi gli oggetti non dipendono dai piani ma dal colore.
Come posso modificare il listato in modo da ottenere che l'oggetto "cerchio" abbia colore "rosso" su un piano dello stesso colore.
Grazie.
 

dieva

Utente Standard
Professione: CAD Manager - AutoCAD sw developer
Software: AutoCAD | BricsCAD | 3DSMax | Revit
Regione: puglia
#2
0
TEXT
5
0
8
testo
62
1

10
1498790.079000

[/CODE]

vengono disegnati un cerchio sul piano "cerchietti", colore "rosso" ed una stringa di testo sul piano "testo", colore "nero".
I piani "cerchietti" e "testo" hanno però colore "nero" quindi gli oggetti non dipendono dai piani ma dal colore.
Come posso modificare il listato in modo da ottenere che l'oggetto "cerchio" abbia colore "rosso" su un piano dello stesso colore.
Grazie.
In poche parole vuoi che il cerchio abbia il colore del layer su cui giace (Testo).
Elimina dal DXF la coppia:
62
1
 
Professione: Pensionato
Software: Autocad
Regione: Lombardia
#3
Grazie dieva,
ho compreso, ma il piano "cerchietti", nella lista dei piani, è di colore "nero" mentre io lo vorrei "rosso" così come i cerchi disegnati.
Stessa cosa per il piano "testo" che però è di colore nero.
Grazie.
 

dieva

Utente Standard
Professione: CAD Manager - AutoCAD sw developer
Software: AutoCAD | BricsCAD | 3DSMax | Revit
Regione: puglia
#4
Grazie dieva,
ho compreso, ma il piano "cerchietti", nella lista dei piani, è di colore "nero" mentre io lo vorrei "rosso" così come i cerchi disegnati.
Stessa cosa per il piano "testo" che però è di colore nero.
Grazie.
ok, quindi vuoi cambiare il colore del layer.
Devi allora sostituire la coppia
62
7

in
67
1

1 è il colore rosso.
La sostituzione va fatta nella definizione dei layer :
Codice:
...
100
AcDbSymbolTable
 70
     2
  0
LAYER
...
...
 0
LAYER
  5
8E
330
1D
100
AcDbSymbolTableRecord
100
AcDbLayerTableRecord
  2
CERCHIETTI
 70
     0
[B] 62  <--
     1[/B]
  6
Continuous
...
...
 
Professione: Pensionato
Software: Autocad
Regione: Lombardia
#5
Grazie dieva,
leggere le vostre indicazioni è come bere il manuale di istruzioni, grazie.
Ho un'altra domandina, se posso :
- scrivo un testo in una posizione X
- identifico la posizione X
come seleziono il testo da lisp come con > entsel < se fosse una selezione manuale?
Devo estrarre il testo selezionato.
Grazie.